Package ru.bitel.bgbilling.plugins.bonus.server

# Class BGPluginInfo

java.lang.Object
ru.bitel.bgbilling.plugins.bonus.server.BGPluginInfo

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`, `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`, `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`

    public class BGPluginInfo
    extends java.lang.Object
    implements ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract, EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

нафига тут весь этот дубликат кода из PluginServerListener? на всякий случай?

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGPluginInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `notify​(ru.bitel.bgbilling.kernel.event.common.Event event, EventListenerContext ctx)` |
  `void` | `onInitServer​(java.lang.String applicationName)` |
  `void` | `serializeContract​(java.sql.Connection con, int cid, javax.xml.stream.XMLStreamWriter writer, boolean onlyCurrent)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGPluginInfo

    public BGPluginInfo()

- ## Method Details

  - ### notify

    public void notify​(ru.bitel.bgbilling.kernel.event.common.Event event, EventListenerContext ctx) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### onInitServer

    public void onInitServer​(java.lang.String applicationName)
    Specified by:
      `onInitServer` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`

  - ### serializeContract

    public void serializeContract​(java.sql.Connection con, int cid, javax.xml.stream.XMLStreamWriter writer, boolean onlyCurrent) throws java.sql.SQLException, javax.xml.stream.XMLStreamException
    Specified by:
      `serializeContract` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`
    Throws:
      `java.sql.SQLException`
      `javax.xml.stream.XMLStreamException`